Jump to content

Unearthed Arcana present Tome & Blood: more options for arcane casters


Recommended Posts

Okay, I can reproduce this... but I cannot explain it.  I leveled up a Sorcerer/Seeker of Oghma in BG2EE v2.5.16, and I was not getting my 5th- or 7th-level spells. And the 6th-level spells came late.

But, upon inspecting the character and the spells in NI, everything seems fine!  I can't see a problem anywhere - every part of the system that affects 5th-level spells looks the same as the parts of the system that affects 4th-level spells. And those work fine.

  • The character has the appropriate proficiency modification to represent 5th-level spellcasting slots
  • The "learn spell" spell for 5th-level spells looks fine
  • The spell that makes your 5th-level spells appear under the casting button looks fine
  • The op206 spell that gates my chosen 5th-level spell was properly stripped from the character

I'm a bit flabbergasted.  Gonna have to take some time to consider what I might be missing...

Link to comment
Guest RelentlessImp

Is the Tome & Blood Sorcerer code replicated in FnP Multiclass anywhere? Could it be using a mismatched version in the underlying code?

Link to comment

@subtledoctor
Is there some interaction with EET that's amiss?  What about other parts of the code called regarding spells?  Is it class-specific?  Kit-specific?  What about for dual classes?  Multiclasses?  Single classes?

Does it work the same on the main character as NPCs and multiplayer party members?

Edited by Endarire
Link to comment
Guest RelentlessImp
58 minutes ago, Endarire said:

Is there some interaction with EET that's amiss?

I can tell you in pretty certain terms that it's not EET. I've had this crop up in IWDEE and fresh installs of BGEE and BG2EE as the only mod(s) installed.

Link to comment
Posted (edited)

The kits are added by FnP, but they use the same kit abilities and underlying systems as the sorcerer/cleric added by TnB. I need to check whether the same behavior exists without FnP. 

If I could see a problem in the files, it would be easy enough to track down the source. But I can't...

I suppose, theoretically, it could be related to FnP’s option to cast spontaneously or from memorization slots. It’s possible that older code is interfering with the sorcerer spells. 

If you are planning to do a new install and just want to get playing with spontaneous casting, you might consider skipping TnB’s multiclass sorcerers and play a cleric/mage using the 5E conversion mod (install it after TnB and FnP, before FnP_Multi). It’s newer, more recently tested, and probably more robust. 

Edited by subtledoctor
Link to comment
Guest RelentlessImp
5 hours ago, subtledoctor said:

If you are planning to do a new install and just want to get playing with spontaneous casting, you might consider skipping TnB’s multiclass sorcerers and play a cleric/mage using the 5E conversion mod (install it after TnB and FnP, before FnP_Multi). It’s newer, more recently tested, and probably more robust. 

Reading up on the 5e conversion mod. Honestly I prefer Sorcerer casting and not getting tons of XP off mage scrolls for the protagonist, but it's a consideration if things wind up not being fixable.

Link to comment
Guest RelentlessImp

Just had an odd bug testing it out further, made a new Sorcerer/Feywarden of Corellon and leveled to 10, picked up a 5th-level spell as first spell known - Breach - and had one casting of it. After it was cast, it was gone and resting didn't return it.

Link to comment
Guest RelentlessImp

As a side note, since it seems to have fallen by the wayside, multiclass Sorcerers are getting their spells known based on the other class in the multiclass (Thief, Fighter, Priest) rather than the Sorcerer level. Could that be affecting the spellcasting issue at all?

Link to comment
Posted (edited)

It’s not their other class level, it’s probably their innate caster level (the average of their levels). Same issue affected casting slots, though that part is already fixed. 

Anyway no, it’s not related. I’ve made a bunch of adjustments, modernizing some of the code, identifying and fixing several small bugs... but none of it has changed this. I keep not getting 5th-level spells, and there doesn’t seem to be any technical reason why. 

It’s worth comparing to the Mana Sorcerer kit, since that is the closest analogue at a technical level. But in the meantime... I can’t fix it unless I can find what needs fixing. :undecided: I wouldn’t hold my breath for it to be corrected, the time frame is probably more like weeks than like hours. 

EDIT - looks like 5th-level spells work just fine with the Mana Sorcerer. But they use almost the same code! Super weird. Maybe I should make some multiclass Mana Sorcerer kits... er, don't hold your breath for that either. Forget I said it!

These kits might need a full re-work. These were a stepping-stone to the 5E conversion mod, but if the 5E mage multiclasses work, then I could work backwards from there, simply restricting the ability to learn from scrolls and adding the spell-learning UI. In-game, there would be no difference, they would work the same way they do now. But the underlying systems would be more robust. Just, (you know it's my favorite phrase) don't hold your breath.

Edited by subtledoctor
Link to comment

Hello, i have a question concerning the

COMPONENT 93: Bonus Spell Slot Items Work With Arcanists and Multiclass Sorcerers

Trying to install it, i got the following message:

1 1 2 1 AMUL16
Copying and patching 1 file ...
[TOMEANDBLOOD/lib/semi_spont/d5_base.spl] loaded, 154 bytes
Copied [TOMEANDBLOOD/lib/semi_spont/d5_base.spl] to [override/d5z#12.spl]
Copying and patching 1 file ...
[TOMEANDBLOOD/lib/semi_spont/d5_base.spl] loaded, 154 bytes
Copied [TOMEANDBLOOD/lib/semi_spont/d5_base.spl] to [override/d5z_12.spl]
Copying and patching 1 file ...
[./override/d5sslot.spl] loaded, 250 bytes
ERROR: cannot convert fake_sorc_equal_1_7 or %fake_sorc_equal_1_7% to an integer
ERROR: [d5sslot.spl] -> [override/d5sslot.spl] Patching Failed (COPY) (Not_found)
Stopping installation because of error.

I think the error is referring to "semi_spontaneous.tpa" (line 2710):

    COPY_EXISTING ~d5zlots.spl~ ~override~
                ~d5sslot.spl~ ~override~
      PATCH_IF (%ind_2% = 1) BEGIN
      ...
      END
      END
    IF_EXISTS BUT_ONLY
 

It seems that the mod did not find the file "d5sslot.spl"; also it is in the override folder.

SETUP-TOMEANDBLOOD.DEBUG

Link to comment
1 hour ago, stekraut said:

It seems that the mod did not find the file "d5sslot.spl"; also it is in the override folder.

No, that "not found" is a red herring; it is actually having trouble applying a value to that "fake_sorc_equal_1_7" variable. Which would only happen if your copy of splprot.2da does not have a line beginning "D5_WIZ=1_7..." Which it should, if you have already installed a mod component that relates to this one (multiclass sorcerers, the Arcanist kit, MnG Bards, or the 5E conversion).

Also, be aware, based on the several posts prior to yours, the  Multiclass Sorcerers component is not working right now.

Finally, I cannot replicate this error in any event. I just installed the Multiclass Sorcerers component (remember it doesn't work, but I installed it anyway), and then the +Slot Items component, and there was no install error. It's possible another mod caused a problem that in turn caused a problem here? If I had to guess, I would say Ruad or MESpells.

Also, are you using EEex?

Link to comment

With your comments i was able to solve the problem.

I just installed a blank BG2EE and then only the Multiclass Sorcerer component; but still the same problem. Looking into "splprot.2da" i just saw:

D5_KIT_IS    152    -1    1
D5_SLOTS_1_7    108    -1    7
D5_SLOTS_8_9    109    -1    7
D5_FATIGUE_IS    30    -1    1

The i installed the Arcanist component and get the needes entries in "splprot.2da":

D5_WIZ_1_7    108    -1    7
D5_WIZ=1_7    108    -1    8
D5_WIZ_8_9    109    -1    7
D5_WIZ=8_9    109    -1    8
D5_DIV_1_7    134    -1    7
D5_DIV=1_7    134    -1    8

So i have to install the Arcanist mod (even if i do not want) or is it sufficient when i add the lines above by hand?

Link to comment
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...